[ANNOUNCE] Apache Groovy 3.0.0-alpha-2 released

classic Classic list List threaded Threaded
10 messages Options
Reply | Threaded
Open this post in threaded view
|

[ANNOUNCE] Apache Groovy 3.0.0-alpha-2 released

Daniel.Sun
Dear community,

The Apache Groovy team is pleased to announce version 3.0.0-alpha-2 of Apache Groovy.
Apache Groovy is a multi-facet programming language for the JVM.
Further details can be found at the http://groovy.apache.org website.

This is a pre-release of a new version of Groovy.
We greatly appreciate any feedback you can give us when using this version.

This release includes 40 bug fixes/improvements as outlined in the changelog:
https://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12318123&version=12342254

Sources, convenience binaries, downloadable documentation and an SDK
bundle can be found at: http://www.groovy-lang.org/download.html
We recommend you verify your installation using the information on that page.

Jars are also available within the major binary repositories.

We welcome your help and feedback and in particular want
to thank everyone who contributed to this release.

For more information on how to report problems, and to get involved,
visit the project website at https://groovy.apache.org/

Best regards,

The Apache Groovy team.


Daniel Sun
Apache Groovy committer

Blog: http://blog.sunlan.me
Twitter: @daniel_sun
Reply | Threaded
Open this post in threaded view
|

Re: [ANNOUNCE] Apache Groovy 3.0.0-alpha-2 released

paulk_asert
Nice work Daniel!

On Tue, Apr 17, 2018 at 3:35 PM, 孙 岚 <[hidden email]> wrote:
Dear community,

The Apache Groovy team is pleased to announce version 3.0.0-alpha-2 of Apache Groovy.
Apache Groovy is a multi-facet programming language for the JVM.
Further details can be found at the http://groovy.apache.org website.

This is a pre-release of a new version of Groovy.
We greatly appreciate any feedback you can give us when using this version.

This release includes 40 bug fixes/improvements as outlined in the changelog:

Sources, convenience binaries, downloadable documentation and an SDK
We recommend you verify your installation using the information on that page.

Jars are also available within the major binary repositories.

We welcome your help and feedback and in particular want
to thank everyone who contributed to this release.

For more information on how to report problems, and to get involved,
visit the project website at https://groovy.apache.org/

Best regards,

The Apache Groovy team.



Reply | Threaded
Open this post in threaded view
|

Re: [ANNOUNCE] Apache Groovy 3.0.0-alpha-2 released

Daniel Sun
Paul, thanks for your help during the release :-)




--
Sent from: http://groovy.329449.n5.nabble.com/Groovy-Users-f329450.html
Reply | Threaded
Open this post in threaded view
|

Re: [ANNOUNCE] Apache Groovy 3.0.0-alpha-2 released

Francesco Chicchiriccò
In reply to this post by Daniel.Sun
Hi,
congrats for the new release.

We have been using

      <dependency>
        <groupId>org.codehaus.groovy</groupId>
        <artifactId>groovy-all</artifactId>
        <version>3.0.0-alpha-1</version>
      </dependency>

but now with 3.0.0-alpha-2 the dependency cannot be found: I have verified, in fact, that only the pom artifact is available at

http://repo1.maven.org/maven2/org/codehaus/groovy/groovy-all/3.0.0-alpha-2/

Am I missing some update instructions?

TIA
Regards.

On 2018/04/17 05:35:09, 孙 岚 <[hidden email]> wrote:

> Dear community,
>
> The Apache Groovy team is pleased to announce version 3.0.0-alpha-2 of Apache Groovy.
> Apache Groovy is a multi-facet programming language for the JVM.
> Further details can be found at the http://groovy.apache.org website.
>
> This is a pre-release of a new version of Groovy.
> We greatly appreciate any feedback you can give us when using this version.
>
> This release includes 40 bug fixes/improvements as outlined in the changelog:
> https://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12318123&version=12342254
>
> Sources, convenience binaries, downloadable documentation and an SDK
> bundle can be found at: http://www.groovy-lang.org/download.html
> We recommend you verify your installation using the information on that page.
>
> Jars are also available within the major binary repositories.
>
> We welcome your help and feedback and in particular want
> to thank everyone who contributed to this release.
>
> For more information on how to report problems, and to get involved,
> visit the project website at https://groovy.apache.org/
>
> Best regards,
>
> The Apache Groovy team.
>
>
>
Reply | Threaded
Open this post in threaded view
|

Re: [ANNOUNCE] Apache Groovy 3.0.0-alpha-2 released

Daniel.Sun
Hi Francesco,

      In order to cater to Java9+, the fat jar, i.e. groovy-all.jar is not
provided any more. The groovy-all.pom you are using  relies on other Groovy
module jars, so when you use the dependency groovy-all, which actually
provides all individual module jars :-)

Cheers,
Daniel.Sun




--
Sent from: http://groovy.329449.n5.nabble.com/Groovy-Users-f329450.html
Daniel Sun
Apache Groovy committer

Blog: http://blog.sunlan.me
Twitter: @daniel_sun
Reply | Threaded
Open this post in threaded view
|

Re: [ANNOUNCE] Apache Groovy 3.0.0-alpha-2 released

Francesco Chicchiriccò
On 2018/04/18 16:45:01, "Daniel.Sun" <[hidden email]> wrote:
> Hi Francesco,
>
> In order to cater to Java9+, the fat jar, i.e. groovy-all.jar is not
> provided any more. The groovy-all.pom you are using  relies on other Groovy
> module jars, so when you use the dependency groovy-all, which actually
> provides all individual module jars :-)

Thanks Daniel,
I took chance to replace groovy-all with the individual JARs:

https://github.com/apache/syncope/commit/a482f0baecad903cb94a33f96feecc2358562df0

Regards.

Reply | Threaded
Open this post in threaded view
|

Re: [ANNOUNCE] Apache Groovy 3.0.0-alpha-2 released

Daniel Sun
Hi  Francesco,

      You should still be able to use groovy-all, but the relevant
individual JARs will be downloaded(not the original
 fat jar file groovy-all.jar).

<dependency>
    <groupId>org.codehaus.groovy</groupId>
    <artifactId>groovy-all</artifactId>
    <version>3.0.0-alpha-2</version>
    <type>pom</type>
</dependency>

 Cheers,
Daniel.Sun



--
Sent from: http://groovy.329449.n5.nabble.com/Groovy-Users-f329450.html
Reply | Threaded
Open this post in threaded view
|

Re: [ANNOUNCE] Apache Groovy 3.0.0-alpha-2 released

Daniel Sun
`<type>pom</type>` is the key part

Cheers,
Daniel.Sun




--
Sent from: http://groovy.329449.n5.nabble.com/Groovy-Users-f329450.html
Reply | Threaded
Open this post in threaded view
|

Re: [ANNOUNCE] Apache Groovy 3.0.0-alpha-2 released

Daniel Sun
`<type>pom</type>` is not required. FYI:

<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>me.sunlan</groupId>
    <artifactId>try-groovy-via-mvn</artifactId>
    <version>1.0-SNAPSHOT</version>

    <dependencies>
        <dependency>
            <groupId>org.codehaus.groovy</groupId>
            <artifactId>groovy-all</artifactId>
            <version>3.0.0-alpha-2</version>
        </dependency>
    </dependencies>
</project>


Cheers,
Daniel.Sun



--
Sent from: http://groovy.329449.n5.nabble.com/Groovy-Users-f329450.html
Reply | Threaded
Open this post in threaded view
|

Re: [ANNOUNCE] Apache Groovy 3.0.0-alpha-2 released

Daniel Sun
For gradle user:

group 'me.sunlan'
version '1.0-SNAPSHOT'

apply plugin: 'java'

sourceCompatibility = 1.8

repositories {
    mavenCentral()
}

dependencies {
    compile group: 'org.codehaus.groovy', name: 'groovy-all', version:
'3.0.0-alpha-2'
}


Cheers,
Daniel.Sun




--
Sent from: http://groovy.329449.n5.nabble.com/Groovy-Users-f329450.html